-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlBaseExtraClassMember

Declaration :

- C++ : class UmlBaseExtraClassMember : public UmlClassItem
- Java : abstract class UmlBaseExtraClassMember extends UmlClassItem

Directly inherited by : UmlExtraClassMember

Manage the 'extra' class members to produce any code, for instance a C++ pre-processing form or a Java initialization

Artifact : UmlBaseExtraClassMember

Operation create

Declaration :

- C++ : public: static UmlExtraClassMember * create(UmlClass * parent, const char * name)
- Java : public static UmlExtraClassMember create(UmlClass parent, String name) throws RuntimeException

returns a new extra class member named 'name' (the name may be empty) created under the class 'parent' In case it cannot be created (the name is already used or invalid, 'parent' cannot contain it etc ...) return 0 in C++ and produce a RuntimeException in Java

Operation kind

Declaration :

- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation isCppInline

Declaration :

- C++ : public: bool isCppInline()
- Java : public boolean isCppInline()

returns TRUE if the extra member is managed as an inline operation in C++

Operation set_isCppInline

Declaration :

- C++ : public: bool set_isCppInline(bool y)
- Java : public void set_isCppInline(boolean y) throws RuntimeException

to set if the extra member is managed as an inline operation in C++ On error return FALSE in C++, produce a RuntimeException in Java

Operation cppDef

Declaration :

- C++ : public: const QCString & cppDef()
- Java : public String cppDef()

returns the operation's definition in C++, notes that the declaration is returned by the inherited ClassItemBase::CppDecl() operation

Operation set_CppDef

Declaration :

- C++ : public: bool set_CppDef(const char * s)
- Java : public void set_CppDef(String s) throws RuntimeException

sets the operation's definition in C++, notes that the declaration is set through the inherited ClassItemBase::set_CppDecl() operation On error return FALSE in C++, produce a RuntimeException in Java

Operation unload

Declaration :

- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

to unload the object to free memory, it will be reloaded automatically if needed. args unused

Attribut _cpp_inline

Declaration :

- C++ : private: bool _cpp_inline
- Java : private boolean _cpp_inline

Attribut _cpp_def

Declaration :

- C++ : private: QCString _cpp_def
- Java : private String _cpp_def

Operation UmlBaseExtraClassMember

Declaration :

- C++ : protected: UmlBaseExtraClassMember(void * id, const QCString & n) : UmlClassItem(id, n)
- Java : protected UmlBaseExtraClassMember(long id, String n)

the constructor, do not call it yourself !!!!!!!!!!

Operation read_cpp_

Declaration :

- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

internal, do NOT use it

All public operations :

apply , children , childrenVisible , cppDecl , cppDef , create , defined_ , description , identifier_ , idlDecl , isCppInline , isMarked , isToolRunning , isWritable , javaDecl , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_CppDecl , set_CppDef , set_Description , set_IdlDecl , set_isCppInline , set_isMarked , set_JavaDecl , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload , unload